import type JDLField from './jdl-field.js';
export default class JDLEntity {
    name: string;
    tableName: string | undefined;
    fields: Record<string, JDLField>;
    comment: string | undefined;
    annotations: Record<string, boolean | string | number | undefined>;
    constructor(args: Partial<JDLEntity>);
    addFields(fields?: JDLField[]): void;
    addField(field: JDLField): void;
    forEachField(functionToApply: (field: JDLField, index: number, array: JDLField[]) => void): void;
    toString(): string;
}
